curl --request POST \
--url https://app.apigene.ai/api/context-type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"when_to_use": "<string>",
"how_to_generate": "<string>"
}
'import requests
url = "https://app.apigene.ai/api/context-type"
payload = {
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"when_to_use": "<string>",
"how_to_generate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
summary: '<string>',
description: '<string>',
when_to_use: '<string>',
how_to_generate: '<string>'
})
};
fetch('https://app.apigene.ai/api/context-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"when_to_use": "<string>",
"how_to_generate": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Context Type Create
Endpoint to create a new context type associated with the authenticated tenant.
Args: context_type (ContextTypeCreate): The request body containing the context type definition.
Returns: ContextType: The created context type object.
Raises: HTTPException 400: If input validation fails HTTPException 409: If the context type creation fails due to a runtime error.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
Name of the context type
Summary of the context type
Detailed information on the context type
Explanation to agent when to use the context type
Explanation to agent how to generate new context of this type
Response
Successful Response
Unique identifier for the context type
Name of the context type
Summary of the context type
Detailed information on the context type
Explanation to agent when to use the context type
Explanation to agent how to generate new context of this type
User who created the context type
The date and time when the context type was created.
The date and time when the context type was last updated.
